## Background
The `greenlablib` module is a python module intends to simplify ROOT based routines.

### Module import:
```
>>> import sys
>>> sys.path.append('path/to/directory/where/module/is/located')
>>> from greenlablib import gplot as pl
```
## Usage
### Plot functions:
#### improveStyles()
```
>>> pl.improveStyles()   # improve the appearance of the data representation
```

#### [] readFile(file,ncolumns,delimeter=',')
```
>>> fname = 'file/path/name'
>>> ncols = 6 # number of columns in ASCII file
>>> D = pl.readFile(fname,ncols) # the delimeter can be also set as the last option
>>> print(D)  # D[-1] stores the number of rows
```

#### TH1F drawHisto(val_arr,name='h',title='histo',nbins=100,bin_first=0,bin_last=100)
```
>>> pl.drawHisto(D[1])  # Fill method reimplementation
```

#### TH1F drawBinContent(bin_arr,val_arr,name='h',title='histo',nbins=100,bin_first=0,bin_last=100)
```
>>> pl.drawBinContent(D[0],D[1])  # SetBinContent method reimplementation
```

#### TGraph drawGraph(npoints,xarr,yarr,name='g',title='graph')
```
>>> pl.drawGraph(D[-1],D[0],D[1])  # TGraph reimplementation
```

### Math functions:

#### float getMuErr(stat,mu):
#### float getMuErrNoise(stat,mu,dcr=0,gate=1):
