# ################################################################
# This module intends to simplify ROOT based routines
# ################################################################
# For greenlablib module import use:
# >>> import sys
# >>> sys.path.append('path/to/directory/where/module/is/located')
# >>> from greenlablib import gmath
# ################################################################

# Basic includes
import numpy as np


def getMuErr(stat,mu):
    if (stat == 0 or mu == 0):
        return False
    mu_err = (1/np.sqrt(stat))*np.sqrt((np.exp(mu)-1)/pow(mu,2))
    return mu_err


def getMuErrNoise(stat,mu,dcr=0,gate=1):
    if (stat == 0 or mu == 0 ):
        return false
    Lambda = dcr * gate
    mu_err = (1/np.sqrt(stat))*np.sqrt((np.exp(mu)+np.exp(Lambda)-2)/pow(mu-Lambda,2))
    return mu_err
